CppUnit - The Unit Testing Library

CppUnit project page | FAQ

Classes | Macros | Typedefs | Functions | Variables
TestRunnerDSPluginVC6.h File Reference
`#include "rpc.h"`
`#include "rpcndr.h"`
`#include "windows.h"`
`#include "ole2.h"`
`#include "oaidl.h"`
`#include "ocidl.h"`

Go to the source code of this file.

## Classes
struct | ITestRunnerDSPluginVtbl

## Macros
#define | __REQUIRED_RPCNDR_H_VERSION__ 440
#define | __ITestRunnerDSPlugin_FWD_DEFINED__
#define | __DSAddIn_FWD_DEFINED__
#define | __ITestRunnerDSPlugin_INTERFACE_DEFINED__
#define | __TestRunnerDSPluginLib_LIBRARY_DEFINED__

## Typedefs
typedef interface ITestRunnerDSPlugin | ITestRunnerDSPlugin
typedef struct DSAddIn | DSAddIn
typedef struct ITestRunnerDSPluginVtbl | ITestRunnerDSPluginVtbl

## Functions
void __RPC_FAR *__RPC_USER | MIDL_user_allocate (size_t)
void __RPC_USER | MIDL_user_free (void __RPC_FAR *)
HRESULT STDMETHODCALLTYPE | ITestRunnerDSPlugin_goToLineInSourceCode_Proxy (ITestRunnerDSPlugin __RPC_FAR *This, BSTR fileName, int lineNumber)
void __RPC_STUB | ITestRunnerDSPlugin_goToLineInSourceCode_Stub (IRpcStubBuffer *This, IRpcChannelBuffer *_pRpcChannelBuffer, PRPC_MESSAGE _pRpcMessage, DWORD *_pdwStubPhase)
unsigned long __RPC_USER | BSTR_UserSize (unsigned long __RPC_FAR *, unsigned long, BSTR __RPC_FAR *)
unsigned char __RPC_FAR *__RPC_USER | BSTR_UserMarshal (unsigned long __RPC_FAR *, unsigned char __RPC_FAR *, BSTR __RPC_FAR *)
unsigned char __RPC_FAR *__RPC_USER | BSTR_UserUnmarshal (unsigned long __RPC_FAR *, unsigned char __RPC_FAR *, BSTR __RPC_FAR *)
void __RPC_USER | BSTR_UserFree (unsigned long __RPC_FAR *, BSTR __RPC_FAR *)

## Variables
EXTERN_C const IID | IID_ITestRunnerDSPlugin
EXTERN_C const IID | LIBID_TestRunnerDSPluginLib
EXTERN_C const CLSID | CLSID_DSAddIn

## Macro Definition Documentation

## § __DSAddIn_FWD_DEFINED__

#define __DSAddIn_FWD_DEFINED__

## § __ITestRunnerDSPlugin_FWD_DEFINED__

#define __ITestRunnerDSPlugin_FWD_DEFINED__

## § __ITestRunnerDSPlugin_INTERFACE_DEFINED__

#define __ITestRunnerDSPlugin_INTERFACE_DEFINED__

## § __REQUIRED_RPCNDR_H_VERSION__

#define __REQUIRED_RPCNDR_H_VERSION__ 440

## § __TestRunnerDSPluginLib_LIBRARY_DEFINED__

#define __TestRunnerDSPluginLib_LIBRARY_DEFINED__

## Typedef Documentation

## § DSAddIn

typedef struct DSAddIn DSAddIn

## § ITestRunnerDSPlugin

typedef interface ITestRunnerDSPlugin ITestRunnerDSPlugin

## § ITestRunnerDSPluginVtbl

typedef struct ITestRunnerDSPluginVtbl ITestRunnerDSPluginVtbl

## Function Documentation

## § BSTR_UserFree()

void __RPC_USER BSTR_UserFree | ( | unsigned long __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |
| ) |  |

## § BSTR_UserMarshal()

unsigned char __RPC_FAR* __RPC_USER BSTR_UserMarshal | ( | unsigned long __RPC_FAR * | ,
|  | unsigned char __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |
| ) |  |

## § BSTR_UserSize()

unsigned long __RPC_USER BSTR_UserSize | ( | unsigned long __RPC_FAR * | ,
|  | unsigned | long,
|  | BSTR __RPC_FAR * |
| ) |  |

## § BSTR_UserUnmarshal()

unsigned char __RPC_FAR* __RPC_USER BSTR_UserUnmarshal | ( | unsigned long __RPC_FAR * | ,
|  | unsigned char __RPC_FAR * | ,
|  | BSTR __RPC_FAR * |
| ) |  |

## § ITestRunnerDSPlugin_goToLineInSourceCode_Proxy()

HRESULT STDMETHODCALLTYPE ITestRunnerDSPlugin_goToLineInSourceCode_Proxy | ( | ITestRunnerDSPlugin __RPC_FAR * | This,
|  | BSTR | fileName,
|  | int | lineNumber
| ) |  |

## § ITestRunnerDSPlugin_goToLineInSourceCode_Stub()

void __RPC_STUB ITestRunnerDSPlugin_goToLineInSourceCode_Stub | ( | IRpcStubBuffer * | This,
|  | IRpcChannelBuffer * | _pRpcChannelBuffer,
|  | PRPC_MESSAGE | _pRpcMessage,
|  | DWORD * | _pdwStubPhase
| ) |  |

## § MIDL_user_allocate()

void __RPC_FAR* __RPC_USER MIDL_user_allocate | ( | size_t |  | ) |

## § MIDL_user_free()

void __RPC_USER MIDL_user_free | ( | void __RPC_FAR * |  | ) |

## Variable Documentation

## § CLSID_DSAddIn

EXTERN_C const CLSID CLSID_DSAddIn

## § IID_ITestRunnerDSPlugin

EXTERN_C const IID IID_ITestRunnerDSPlugin

## § LIBID_TestRunnerDSPluginLib

EXTERN_C const IID LIBID_TestRunnerDSPluginLib

| Send comments to: CppUnit Developers